import { Context } from '@midwayjs/koa';
import { Controller, Inject, Post } from '@midwayjs/core';
import { InitService } from '../../service/frame/Init.service';
import { RF } from '../../response/CustomerResponse';
@Controller('/init')
export class InitController {
  @Inject()
  ctx: Context;

  @Inject()
  service: InitService;

  @Post('/')
  async index() {
    await this.service.adminUser();
    // 未初始化,则执行初始化程序
    await this.service.initDict();
    await this.service.initRole();
    await this.service.initMenus();
    return RF.success();
  }
}
