import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from '../../frame/BaseModel';
@modelOptions({
  schemaOptions: { collection: 'dictType' },
})
export class DictType extends BaseModel {
  @prop({ required: false, index: false, zh: '字典类型名称', esType: 'text' })
  title: string;
  @prop({ required: false, index: false, zh: '编码', esType: 'keyword' })
  code: string;
  @prop({ required: false, index: false, zh: '备注', esType: null })
  remark: string;
  @prop({
    required: false,
    index: false,
    zh: '是否使用',
    remark: '0:使用;1:禁用',
    esType: 'keyword',
    default: '0',
  })
  is_use: string;
}
