import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from '../../frame/BaseModel';
@modelOptions({
  schemaOptions: { collection: 'user' },
})
export class User extends BaseModel {
  @prop({
    required: false,
    index: true,
    zh: '账号',
    unique: true,
    esType: 'keyword',
  })
  account: string;
  @prop({ required: false, index: false, zh: '微信小程序id' })
  openid: string;
  @prop({ required: false, index: false, zh: '昵称' })
  nick_name: string;
  @prop({ required: false, index: false, zh: '电话' })
  tel: string;
  @prop({ required: false, index: false, zh: '角色', esType: 'keyword' })
  role: string;
  @prop({
    required: false,
    index: false,
    zh: '是否启用',
    remark: '0:启用;1:禁用',
    esType: 'keyword',
    default: '0',
  })
  is_use: string;
}
