import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from '../../frame/BaseService';
import { Provide } from '@midwayjs/core';
import { Config } from '../../entity/system/config.entity';
import { InjectEntityModel } from '@midwayjs/typegoose';
type modelType = ReturnModelType<typeof Config>;

@Provide()
export class ConfigService extends BaseService<modelType> {
  @InjectEntityModel(Config)
  model: ReturnModelType<modelType>;
  // 只允许有一个config
  async getConfig() {
    let data = await this.model.findOne({}).lean();
    if (!data) data = await this.model.create({ name: 'midwayjs+vue' });
    return data;
  }
}
